
    <div class="row" >
      <div class='col-md-8' >
          <button class='btn btn-outline-secondary btn-sm'
          style="position:absolute;left:4px;"
          (click)='showHideColSelection()'>|||</button>
      </div>

      <!-- <strong class='col-md-7' style='margin-bottom:10px;'></strong> -->
      <div class='col-md-4' *ngIf='authorized$|async'>
        <button class='btn btn-outline-danger btn-sm float-right ml-1'
          [disabled]='selectedId < 1'
          (click)='delete()'
        >delete</button>
        <button class='btn btn-outline-secondary btn-sm float-right ml-1'
          (click)='edit()'
          [disabled]='selectedId < 1'
        >edit</button>
        <button
          class='btn btn-outline-primary btn-sm float-right'
          (click)='add()'
          >new
        </button>
      </div>
    </div>
<!--
    <div class="row g-row" ></div>
    <div class="row g-row"
      *ngFor="let ref of ( locations$ | async ).locations"
      (dblclick)="edit(ref.id)"
      [ngClass]="{'rselected':isSelected(ref.id)}"
      (click)="select(ref.id)" >

      <div class='col-md-1'>{{ ref.id }}</div>
      <div class='col-md-2'>{{ ref.name }}</div>
      <div class='col-md-5'>{{ ref.addressLine1 }}</div>
      <div class='col-md-2'>{{ ref.city }}</div>
      <div class='col-md-1'>{{ ref.state }}</div>
      <div class='col-md-1'>{{ ref.zipcode }}</div>

    </div> -->

    <div *ngIf='showColSelection' class='col-sel'>
      <div class='border border-primary rounded'
          style='padding: 2px; height:100%; overflow-y: scroll;'>
          <app-column-selection></app-column-selection>
      </div>

    </div>

    <div class='grid-area' [ngStyle]="{ 'left': showColSelection?'250px':'2px' }" >

          <ag-grid-angular
          style="height: 100%;"
          class="ag-theme-blue"
          [enableSorting]="true"
          [enableFilter]="true"
          [rowData]="locations$ | async"
          [columnDefs]="columnDefs"
          [enableColResize]="true"
          rowSelection="single"
          (selectionChanged)="onSelectionChanged($event)"
          (gridReady)="onGridReady($event)"
          (rowDoubleClicked)="onDoubleRowDblClk($event)"
          >
        </ag-grid-angular>


    </div>

